Page MenuHomePhabricator

VisualEditor Mobile: [Regression pre-wmf10] Dependency on jquery.uls.data not met for mobile so VE does not appear, spins forever
Closed, ResolvedPublic1 Story Points

Description

As a logged in user at http://en.m.wikipedia.beta.wmflabs.org/\

With beta setting enabled

Click edit

VE never appears, user sees just a spinner.

js error is: Uncaught Error: Unknown dependency: jquery.uls.data


Version: unspecified
Severity: major

Details

Reference
bz66594

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:26 AM
bzimport set Reference to bz66594.

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/MuQh23gb

Error introduced by I54c0a8e5816a3c81851f95f1d3062a6091a9f4a3 in VisualEditor

Change 139435 had a related patch set uploaded by Esanders:
Add targets missing from jquery.i18n libraries

https://gerrit.wikimedia.org/r/139435

Change 139484 had a related patch set uploaded by JGonera:
Add mobile target for modules that VE depends on

https://gerrit.wikimedia.org/r/139484

Change 139435 merged by jenkins-bot:
Add targets missing from jquery.i18n libraries

https://gerrit.wikimedia.org/r/139435

Change 139484 merged by jenkins-bot:
Add mobile target for modules that VE depends on

https://gerrit.wikimedia.org/r/139484

Checked on betalabs and test2 mobile.

bmansurov reopened this task as Open.Jan 14 2015, 12:53 AM
bmansurov set Security to None.
bmansurov added a subscriber: bmansurov.

This is happening to me. I have latest code from master.

bmansurov closed this task as Resolved.Feb 11 2015, 1:05 AM

The error goes away after enabling the 'uls' role in vagrant.